From 84bc82c4b13a9cd5993b5bed64289b393a49d4c1 Mon Sep 17 00:00:00 2001
From: Peter Smith <peter.b.smith@fujitsu.com>
Date: Thu, 12 Dec 2024 12:10:19 +1100
Subject: [PATCH v1] Modify wrapping to make command options easier to read

---
 src/bin/pg_basebackup/t/040_pg_createsubscriber.pl | 126 ++++++++++-----------
 1 file changed, 63 insertions(+), 63 deletions(-)

diff --git a/src/bin/pg_basebackup/t/040_pg_createsubscriber.pl b/src/bin/pg_basebackup/t/040_pg_createsubscriber.pl
index 0a900ed..9508346 100644
--- a/src/bin/pg_basebackup/t/040_pg_createsubscriber.pl
+++ b/src/bin/pg_basebackup/t/040_pg_createsubscriber.pl
@@ -169,13 +169,13 @@ $node_t->stop;
 command_fails(
 	[
 		'pg_createsubscriber', '--verbose',
-		'--dry-run', '--pgdata',
-		$node_t->data_dir, '--publisher-server',
-		$node_p->connstr($db1), '--socketdir',
-		$node_t->host, '--subscriber-port',
-		$node_t->port, '--database',
-		$db1, '--database',
-		$db2
+		'--dry-run',
+		'--pgdata',	$node_t->data_dir,
+		'--publisher-server', $node_p->connstr($db1),
+		'--socketdir', $node_t->host,
+		'--subscriber-port', $node_t->port,
+		'--database', $db1,
+		'--database', $db2
 	],
 	'target server is not in recovery');
 
@@ -183,13 +183,13 @@ command_fails(
 command_fails(
 	[
 		'pg_createsubscriber', '--verbose',
-		'--dry-run', '--pgdata',
-		$node_s->data_dir, '--publisher-server',
-		$node_p->connstr($db1), '--socketdir',
-		$node_s->host, '--subscriber-port',
-		$node_s->port, '--database',
-		$db1, '--database',
-		$db2
+		'--dry-run',
+		'--pgdata', $node_s->data_dir,
+		'--publisher-server', $node_p->connstr($db1),
+		'--socketdir', $node_s->host,
+		'--subscriber-port', $node_s->port,
+		'--database', $db1,
+		'--database', $db2
 	],
 	'standby is up and running');
 
@@ -217,13 +217,13 @@ $node_c->set_standby_mode();
 command_fails(
 	[
 		'pg_createsubscriber', '--verbose',
-		'--dry-run', '--pgdata',
-		$node_c->data_dir, '--publisher-server',
-		$node_s->connstr($db1), '--socketdir',
-		$node_c->host, '--subscriber-port',
-		$node_c->port, '--database',
-		$db1, '--database',
-		$db2
+		'--dry-run',
+		'--pgdata', $node_c->data_dir,
+		'--publisher-server', $node_s->connstr($db1),
+		'--socketdir', $node_c->host,
+		'--subscriber-port', $node_c->port,
+		'--database', $db1,
+		'--database', $db2
 	],
 	'primary server is in recovery');
 
@@ -240,13 +240,13 @@ $node_s->stop;
 command_fails(
 	[
 		'pg_createsubscriber', '--verbose',
-		'--dry-run', '--pgdata',
-		$node_s->data_dir, '--publisher-server',
-		$node_p->connstr($db1), '--socketdir',
-		$node_s->host, '--subscriber-port',
-		$node_s->port, '--database',
-		$db1, '--database',
-		$db2
+		'--dry-run',
+		'--pgdata', $node_s->data_dir,
+		'--publisher-server', $node_p->connstr($db1),
+		'--socketdir', $node_s->host,
+		'--subscriber-port', $node_s->port,
+		'--database', $db1,
+		'--database', $db2
 	],
 	'primary contains unmet conditions on node P');
 # Restore default settings here but only apply it after testing standby. Some
@@ -269,13 +269,13 @@ max_worker_processes = 2
 command_fails(
 	[
 		'pg_createsubscriber', '--verbose',
-		'--dry-run', '--pgdata',
-		$node_s->data_dir, '--publisher-server',
-		$node_p->connstr($db1), '--socketdir',
-		$node_s->host, '--subscriber-port',
-		$node_s->port, '--database',
-		$db1, '--database',
-		$db2
+		'--dry-run',
+		'--pgdata', $node_s->data_dir,
+		'--publisher-server', $node_p->connstr($db1),
+		'--socketdir', $node_s->host,
+		'--subscriber-port', $node_s->port,
+		'--database', $db1,
+		'--database',$db2
 	],
 	'standby contains unmet conditions on node S');
 $node_s->append_conf(
@@ -323,17 +323,17 @@ command_ok(
 	[
 		'pg_createsubscriber', '--verbose',
 		'--recovery-timeout', "$PostgreSQL::Test::Utils::timeout_default",
-		'--dry-run', '--pgdata',
-		$node_s->data_dir, '--publisher-server',
-		$node_p->connstr($db1), '--socketdir',
-		$node_s->host, '--subscriber-port',
-		$node_s->port, '--publication',
-		'pub1', '--publication',
-		'pub2', '--subscription',
-		'sub1', '--subscription',
-		'sub2', '--database',
-		$db1, '--database',
-		$db2
+		'--dry-run',
+		'--pgdata', $node_s->data_dir,
+		'--publisher-server', $node_p->connstr($db1),
+		'--socketdir', $node_s->host,
+		'--subscriber-port', $node_s->port,
+		'--publication', 'pub1',
+		'--publication', 'pub2',
+		'--subscription', 'sub1',
+		'--subscription', 'sub2',
+		'--database', $db1,
+		'--database', $db2
 	],
 	'run pg_createsubscriber --dry-run on node S');
 
@@ -347,12 +347,12 @@ $node_s->stop;
 command_ok(
 	[
 		'pg_createsubscriber', '--verbose',
-		'--dry-run', '--pgdata',
-		$node_s->data_dir, '--publisher-server',
-		$node_p->connstr($db1), '--socketdir',
-		$node_s->host, '--subscriber-port',
-		$node_s->port, '--replication-slot',
-		'replslot1'
+		'--dry-run',
+		'--pgdata', $node_s->data_dir,
+		'--publisher-server', $node_p->connstr($db1),
+		'--socketdir', $node_s->host,
+		'--subscriber-port', $node_s->port,
+		'--replication-slot', 'replslot1'
 	],
 	'run pg_createsubscriber without --databases');
 
@@ -361,17 +361,17 @@ command_ok(
 	[
 		'pg_createsubscriber', '--verbose',
 		'--recovery-timeout', "$PostgreSQL::Test::Utils::timeout_default",
-		'--verbose', '--pgdata',
-		$node_s->data_dir, '--publisher-server',
-		$node_p->connstr($db1), '--socketdir',
-		$node_s->host, '--subscriber-port',
-		$node_s->port, '--publication',
-		'pub1', '--publication',
-		'Pub2', '--replication-slot',
-		'replslot1', '--replication-slot',
-		'replslot2', '--database',
-		$db1, '--database',
-		$db2
+		'--verbose',
+		'--pgdata', $node_s->data_dir,
+		'--publisher-server', $node_p->connstr($db1),
+		'--socketdir', $node_s->host,
+		'--subscriber-port', $node_s->port,
+		'--publication', 'pub1',
+		'--publication', 'Pub2',
+		'--replication-slot', 'replslot1',
+		'--replication-slot', 'replslot2',
+		'--database', $db1,
+		'--database', $db2
 	],
 	'run pg_createsubscriber on node S');
 
-- 
1.8.3.1

